Package musicbrainz2 :: Module webservice :: Class WebServiceError

[frames] | no frames]

# Class WebServiceError

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                                  WebServiceError

Known Subclasses:
  - AuthenticationError
  - , ConnectionError
  - , RequestError
  - , ResourceNotFoundError
  - , ResponseError

A web service error has occurred.

This is the base class for several other web service related exceptions.

Instance Methods

__init__(self, msg=`'``Webservice Error``'`, reason=None) Constructor. | source code

__str__(self) Makes this class printable. | source code

Inherited from `exceptions.Exception`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`

Method Details

### __init__(self, msg=`'``Webservice Error``'`, reason=None)
(Constructor)

source code

Constructor.

Set `msg` to an error message which explains why this exception was raised. The `reason` parameter should be the original exception which caused this WebService exception to be raised. If given, it has to be an instance of `Exception` or one of its child classes.

Parameters:
  - `msg` - a string containing an error message
  - `reason` - another exception instance, or None
Overrides: object.__init__

### __str__(self)
(Informal representation operator)

source code

Makes this class printable.

Returns:
  a string containing an error message
Overrides: object.__str__